/*  Copyright (C) MOXA Inc. All rights reserved.

    This software is distributed under the terms of the
    MOXA License.  See the file COPYING-MOXA for details.
*/
/*
	Set UART Mode
	
	param:
		(in)int nCOM  :		COM port number (3,4)
		(in)int nMode :		UART Mode (0,1,2)
		
	Return value:
		None:
*/
void setUrMode(int nCOM,int nMODE);

/*
	Get UART Mode
	
	param:
		(in)int nCOM  :		COM port number (3,4)
				
	Return value:
		int:			return current UART mode
*/
int getUrMode(int nCOM);

/*
	Initialize Digitial I/O
	
	param:
		None  :		
				
	Return value:
		HANDLE:			return digital I/O handle
*/
HANDLE DIO_init();

/*
	get digital input
	
	param:
		(in)HANDLE hDIO  :	Handle of digital I/O		
				
	Return value:
		BYTE:			return digital input data 
*/
//BYTE get_din(HANDLE hDIO);
int DigitalInput_Get(HANDLE hDIO,int index);

/*
	set digital output
	
	param:
		(in)HANDLE hDIO  :	Handle of digital I/O		
		(in)int index	 :	index of digital output bit		
		(in)int data	 :	digital output data (0,1) 
	Return value:
		BYTE:			return digital input data 
*/
BOOL DigitalOutput_Set(HANDLE hDIO,int index,int data);

/*
	get digital output
	
	param:
		(in)HANDLE hDIO  :	Handle of digital I/O		
		(in)int index	 :	index of digital output			
	Return value:
		int:			return digital output data 
*/
int DigitalOutput_Get(HANDLE hDIO,int index);

/*
	close digital I/O
	
	param:
		(in)HANDLE hDIO  :	Handle of digital I/O		
				
	Return value:
		BOOL:			TRUE indicates success, FALSE indicates failure. 
*/
BOOL DIO_close(HANDLE hDIO);


/*
	set programmable led
	
	param:
		(in)UCHAR value  :	value 		
				
	Return value:
		BOOL:			TRUE indicates success, FALSE indicates failure. 
*/
BOOL ProgrammableLED_set(UCHAR data);

